Subject: Re: bug#38206: 26.1; cl-prettyexpand incorrectly expands pushing to structures

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 21:19:48 +0100

Stefan Monnier <[email-masked]> writes:

> Not sure why you see it that way.  `C-x v h` tells me:

[...]

>     -    (setq form (cl-macroexpand-all form
>     -				   (and (not full) '((cl-block) (cl-eval-when)))))

I just assumed that the parameter was meaningful for
cl-macroexpand-all...  that is, that the ENV parameter for that function
was something other thatn ENVIRONMENT for macroexpand-all.  But I see I
was wrong now; sorry.  I have besmirched your patch.

>> I think the right change here is to just deprecate the FULL parameter
>> and remove the
>>
>>                                 (and (not full) '((cl-block)
>> (cl-eval-when)))))
>>
>> bit.  Stefan?
>
> 100% agreement.

OK, I'll go ahead and fix that up.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no